//LightRay3D SDK (C) 2002-2006 Tzivenis Sakis

// ImpExpQ23.cpp : Defines the entry point for the DLL application.
//
// Project settings:
// Link to core.lib, additional include paths: sdk/include
// additional lib paths: sdk/libs.
// Define PLUGINLIB_EXPORTS.
// Put dll to Plugs folder not StdPlugs.

#include <windows.h>

#include "plugapi.h"
#include "api.h"
#include "version.h"
#include "impq2.h"
#include "impq3.h"
#include "expq3.h"
#include "impexpq23.h"

HINSTANCE hInstance=NULL;
PLUGINAPI cimpq2model q2imp;
PLUGINAPI cimpq3model q3imp;
PLUGINAPI cexpq3model q3exp;

BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
	hInstance=(HINSTANCE)hModule;

    switch (ul_reason_for_call)
	{
		case DLL_PROCESS_ATTACH:
		case DLL_THREAD_ATTACH:
		case DLL_THREAD_DETACH:
		case DLL_PROCESS_DETACH:
			break;
    }
    return TRUE;
}

//These must exist.Make a *.def file.
PLUGINAPI ULONG LibType(int i)
{
	switch(i)
	{
		case  0: return (LIB_IMPORT); break;
		case  1: return (LIB_IMPORT); break;
		case  2: return (LIB_EXPORT); break;
		default: return (0xFFFFFFFF); break;
	}
}

PLUGINAPI int LibNumberClasses(){return 3;}

PLUGINAPI void *LibClassDesc(int i)
{
	switch(i)
	{
		case  0: return (void*)&q2imp; break;
		case  1: return (void*)&q3imp; break;
		case  2: return (void*)&q3exp; break;
		default: return 0;        break;
	}
}

PLUGINAPI ULONG LibVersion(int i)
{
	return (APP_VERSION);
//	switch(i)
//	{
//		case  0: return (APP_VERSION); break;
//		case  1: return (APP_VERSION); break;
//		default: return (0); break;
//	}
}
