// Lightray3D (C) 2002-2006 Tzivenis Sakis

#ifndef IEXPORT_H
#define IEXPORT_H

class COREAPI cexportinterface
{
public:
	virtual const char*	Name(){return "";}				// File description(i.e. "Image File")
	virtual const char*	Ext(int i){return "";}			// ith extension(i.e. "BMP")
	virtual int	NumExt(){return 0;}						// Number of extensions supported

	virtual int Export(const char *filename){return 0;}	//Return 1 for success, 0 for failure
};

COREAPI void RegisterInterface(cexportinterface*);
COREAPI void UnregisterExportInterfaces();
COREAPI int GetNumExportInterfaces();
COREAPI cexportinterface* GetExportInterface(int i);

#endif //IEXPORT_H
