// Lightray3D (C) 2002-2006 Tzivenis Sakis

#ifndef ICLASS_H
#define ICLASS_H

class CGLWindow;//forward declaration

class COREAPI cclassinterface
{
public:
	cclassinterface(){hInst=NULL;UINT IDD=0;}
	virtual ~cclassinterface(){}
	
	virtual char *GetCategory()=0;//Class category
	virtual char *GetName()=0;//Class name
	virtual BOOL IsPublic()=0;//Access validation
	virtual UINT GetType()=0;//Return class standard type
	virtual UINT GetSubType()=0;//Return class own type

	virtual void* Create()=0;//Return whatever this class creates

	//Editing stuff
	virtual BOOL DlgProc(HWND hDlg,UINT uMsg,WPARAM wParam,LPARAM lParam)=0;
	//These must be set by descendants if using a dialog
	HINSTANCE hInst;
	UINT IDD;

	//Generic Rendering
	//(ver.>=1.3.6 update1):Display func moved here to base(implemented for modifiers, now for all)
	virtual void Display(int attime,CGLWindow*,UINT renderflags)=0;//(ver.>=1.3.5):Added rflags param(see cnode.h)
};


#endif //ICLASS_H