// Lightray3D (C) 2002-2006 Tzivenis Sakis

//------------------------------------------------------------------------------------------------------------------------
//INVERSE KINEMATICS(using Cyclic Coordinate Descent)
//------------------------------------------------------------------------------------------------------------------------

#ifndef _IK_SOLVER_H
#define _IK_SOLVER_H

//(ver.>=1.3.6):Added ik threshold parameterers.
//float ikthresh: Loop until node-end effector distance is <= than this value
//BOOL bUseViewThresh: Use active viewports zoom factor to find ikthresh
COREAPI BOOL IK_ComputeSingleCCDLink(int attime,cpoint3 endPos,cnode *node,cnode *effector,
									 BOOL bUseViewThresh=TRUE,float ikthresh=1.0f);
COREAPI BOOL IK_ComputeCCD(int attime,cpoint3 endPos,cnode* effector,
						   BOOL bUseViewThresh=TRUE,float ikthresh=1.0f);


#endif //_IK_SOLVER_H