// Lightray3D (C) 2002-2006 Tzivenis Sakis

#ifndef CBONE_H
#define CBONE_H

#include "cnode.h"


class COREAPI cbone : public cnode
{
public:
	cbone();
	~cbone();
	void Delete();

	void Create(const cpoint3&);
	void Create(float x,float y,float z);

	//From cnode
	BOOL Clone(int attime,cnode&) const;
	//(ver.>=1.3.5):allowed after users request
//	void SetColor(const ccolor& clr){}//Changing color is not allowed
	BOOL HitTest(int attime,CGLWindow*,int x,int y,float *zvalue,float delta);
	void Flash(int attime,CGLWindow*);
	//(ver.>=1.3.5):Added render flags parameter(see cnode.h)
	void Render(int attime,CGLWindow*,UINT rflags);

	//IO methods
	BOOL Load(cio_load& iload,DWORD fileversion);//support for previous file versions
	BOOL Save(cio_save& isave);
};

//(ver.>=1.3.2)://Use this instead of the new operator
COREAPI cbone* CreateNewBone();

#endif //CBONE_H