// Lightray3D (C) 2002-2006 Tzivenis Sakis

#ifndef CCONTOUR_H
#define CCONTOUR_H

#include "cmathlib.h"

class COREAPI ccontour
{
public:
	ccontour();
	~ccontour();

	void Clear();

	void AddPoint(const cpoint3&);
	BOOL SetPoint(int index,const cpoint3&);
	void RemovePoint(int index);
	cpoint3 GetPoint(int index) const;
	BOOL GetPoint(int index,cpoint3&) const;

	cpoint3* GetPointsArray() const{return points;}
	int NumPoints() const {return npoints;}

protected:
	cpoint3 *points;
	int npoints;
};


#endif //CCONTOUR_H