// Lightray3D (C) 2002-2006 Tzivenis Sakis

#ifndef GFX_H
#define GFX_H

#include "api.h"
#include "ccolor.h"

class COREAPI cgfx
{
public:
	cgfx();
	~cgfx();

	void Defaults();

	//objects
	ccolor selection_colour;
	ccolor inactive_colour;

	ccolor light_colour;
	ccolor camera_colour;
	ccolor bone_colour;

	//subobjects
	ccolor vertex_colour;
	ccolor sub_selection_colour;
	float vertex_size;
	float ctrl_point_size;
	float line_width;

	BOOL bfill_sel_faces;
};

COREAPI cgfx GetGfxInfo();
COREAPI void SetGfxInfo(cgfx& info);

#endif