#ifndef NOISE_H
#define NOISE_H

#define MYFLOATVAR	float//double

/* Coherent noise function over 1, 2 or 3 dimensions */
/* (copyright Ken Perlin, New York University ) */
MYFLOATVAR noise1(MYFLOATVAR arg);
MYFLOATVAR noise2(MYFLOATVAR vec[]);
MYFLOATVAR noise3(MYFLOATVAR vec[]);

MYFLOATVAR turbulence(MYFLOATVAR vec[3], MYFLOATVAR freq);
MYFLOATVAR fBm( MYFLOATVAR point[3], MYFLOATVAR H, MYFLOATVAR lacunarity, MYFLOATVAR octaves );

int Perm(int v);

#endif //NOISE_H
