// Lightray3D (C) 2002-2006 Tzivenis Sakis
//(ver.>=1.3.6 update1):SGI ogl dlls no longer used.Now using Win dlls.

#ifndef OPEN_GL_H
#define OPEN_GL_H

#pragma comment(lib, "opengl32.lib")
#pragma comment(lib, "glu32.lib")

#include <windows.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include "oglext.h"//(ver.>=1.3.5):Extensions
//#include "oglATI.h"//(ver.>=1.3.6):ATI Extensions


COREAPI BOOL OGL_Init();
COREAPI BOOL OGL_MulTex_Supported();
COREAPI BOOL OGL_Arrays_Supported();
COREAPI BOOL OGL_Compiled_Arrays_Supported();
//COREAPI BOOL OGL_Vertex_Blend_Supported();
COREAPI int OGL_Num_Tex_Units();


//Extensions
COREAPI BOOL OGL_LoadExtensions();//called in OGL_Init
COREAPI BOOL OGL_CheckExtension(char *extName);
COREAPI int OGL_CheckExtension(int index,char* chDescOut);//debug

//ARB Multitexture Extensions 
extern COREAPI PFNGLMULTITEXCOORD1DARBPROC		glMultiTexCoord1dARB;
extern COREAPI PFNGLMULTITEXCOORD1DVARBPROC		glMultiTexCoord1dvARB;	
extern COREAPI PFNGLMULTITEXCOORD1FARBPROC		glMultiTexCoord1fARB;
extern COREAPI PFNGLMULTITEXCOORD1FVARBPROC		glMultiTexCoord1fvARB;
extern COREAPI PFNGLMULTITEXCOORD1IARBPROC		glMultiTexCoord1iARB;
extern COREAPI PFNGLMULTITEXCOORD1IVARBPROC		glMultiTexCoord1ivARB;	
extern COREAPI PFNGLMULTITEXCOORD1SARBPROC		glMultiTexCoord1sARB;
extern COREAPI PFNGLMULTITEXCOORD1SVARBPROC		glMultiTexCoord1svARB;
extern COREAPI PFNGLMULTITEXCOORD2DARBPROC		glMultiTexCoord2dARB;
extern COREAPI PFNGLMULTITEXCOORD2DVARBPROC		glMultiTexCoord2dvARB;	
extern COREAPI PFNGLMULTITEXCOORD2FARBPROC		glMultiTexCoord2fARB;
extern COREAPI PFNGLMULTITEXCOORD2FVARBPROC		glMultiTexCoord2fvARB;
extern COREAPI PFNGLMULTITEXCOORD2IARBPROC		glMultiTexCoord2iARB;
extern COREAPI PFNGLMULTITEXCOORD2IVARBPROC		glMultiTexCoord2ivARB;
extern COREAPI PFNGLMULTITEXCOORD2SARBPROC		glMultiTexCoord2sARB;
extern COREAPI PFNGLMULTITEXCOORD2SVARBPROC		glMultiTexCoord2svARB;
extern COREAPI PFNGLMULTITEXCOORD3DARBPROC		glMultiTexCoord3dARB;
extern COREAPI PFNGLMULTITEXCOORD3DVARBPROC		glMultiTexCoord3dvARB;
extern COREAPI PFNGLMULTITEXCOORD3FARBPROC		glMultiTexCoord3fARB;
extern COREAPI PFNGLMULTITEXCOORD3FVARBPROC		glMultiTexCoord3fvARB;
extern COREAPI PFNGLMULTITEXCOORD3IARBPROC		glMultiTexCoord3iARB;
extern COREAPI PFNGLMULTITEXCOORD3IVARBPROC		glMultiTexCoord3ivARB;
extern COREAPI PFNGLMULTITEXCOORD3SARBPROC		glMultiTexCoord3sARB;
extern COREAPI PFNGLMULTITEXCOORD3SVARBPROC		glMultiTexCoord3svARB;
extern COREAPI PFNGLMULTITEXCOORD4DARBPROC		glMultiTexCoord4dARB;
extern COREAPI PFNGLMULTITEXCOORD4DVARBPROC		glMultiTexCoord4dvARB;	
extern COREAPI PFNGLMULTITEXCOORD4FARBPROC		glMultiTexCoord4fARB;
extern COREAPI PFNGLMULTITEXCOORD4FVARBPROC		glMultiTexCoord4fvARB;
extern COREAPI PFNGLMULTITEXCOORD4IARBPROC		glMultiTexCoord4iARB;
extern COREAPI PFNGLMULTITEXCOORD4IVARBPROC		glMultiTexCoord4ivARB;
extern COREAPI PFNGLMULTITEXCOORD4SARBPROC		glMultiTexCoord4sdARB;
extern COREAPI PFNGLMULTITEXCOORD4SVARBPROC		glMultiTexCoord4svARB;
extern COREAPI PFNGLACTIVETEXTUREARBPROC		glActiveTextureARB;
extern COREAPI PFNGLCLIENTACTIVETEXTUREARBPROC	glClientActiveTextureARB;


//GL_EXT_point_parameters extension
extern COREAPI PFNGLPOINTPARAMETERFEXTPROC		glPointParameterfEXT;
extern COREAPI PFNGLPOINTPARAMETERFVEXTPROC		glPointParameterfvEXT;

//GL_EXT_compiled_vertex_array extension
extern COREAPI PFNGLLOCKARRAYSEXTPROC			glLockArraysEXT;
extern COREAPI PFNGLUNLOCKARRAYSEXTPROC			glUnlockArraysEXT;

//GL_ARB_vertex_blend extension
/*
extern COREAPI PFNGLVERTEXBLENDARBPROC			glVertexBlendARB;
extern COREAPI PFNGLWEIGHTPOINTERARBPROC		glWeightPointerARB;
extern COREAPI PFNGLWEIGHTBVARBPROC				glWeightbvARB;
extern COREAPI PFNGLWEIGHTSVARBPROC				glWeightsvARB;
extern COREAPI PFNGLWEIGHTIVARBPROC				glWeightivARB;
extern COREAPI PFNGLWEIGHTFVARBPROC				glWeightfvARB;
extern COREAPI PFNGLWEIGHTDVARBPROC				glWeightdvARB;
extern COREAPI PFNGLWEIGHTUBVARBPROC			glWeightubvARB;
extern COREAPI PFNGLWEIGHTUSVARBPROC			glWeightusvARB;
extern COREAPI PFNGLWEIGHTUIVARBPROC			glWeightuivARB;
*/

// Polygon-Offset 
#define GL_POLYGON_OFFSET               0x8037


#endif //OPEN_GL_H