// Lightray3D (C) 2002-2006 Tzivenis Sakis

#ifndef STDTYPES_H
#define STDTYPES_H

//---Types
#define TYPE_UNKNOWN			0
#define TYPE_NODE				1
#define TYPE_MESH				2
#define TYPE_LIGHT				3
#define TYPE_BONE				4
#define TYPE_CAMERA				5
#define TYPE_SKIN				6
#define TYPE_SHAPE				7
#define TYPE_HELPER				8
//Reserved for future use
#define TYPE_PARTICLESYS		9
#define TYPE_PATCH				10
#define TYPE_NURBS				11
#define TYPE_PROCEDURAL			12
#define TYPE_BSP_BRUSH			13
//.....
//User object types start from:
#define TYPE_USER				1000


//---SubTypes
//Lights
#define POINT_LIGHT				0
#define SPOT_LIGHT				1
#define DIR_LIGHT				2
//Helpers
#define GIZMO_TYPE_UNKNOWN		0
#define GIZMO_TYPE_PLANE		1
#define GIZMO_TYPE_BOX			2
#define GIZMO_TYPE_CYLINDER		3
#define GIZMO_TYPE_SPHERE		4

//User object subtypes start from:
#define SUB_TYPE_USER			1000


#define ISTYPEGEOMETRY(type) (type==TYPE_MESH || type==TYPE_SKIN || type==TYPE_SHAPE \
								|| type==TYPE_PATCH || type==TYPE_NURBS || type==TYPE_PROCEDURAL/*|| type==TYPE_PARTICLESYS*/)

#endif //STDTYPES_H