//LightRay3D SDK (C) 2002-2006 Tzivenis Sakis

// Skew.cpp : Defines the entry point for the DLL application.
//
// Project settings:
// Link to core.lib, additional include paths: sdk/include
// additional lib paths: sdk/libs.
// Define PLUGINLIB_EXPORTS.
// Put dll to Plugs folder not StdPlugs.

#include <windows.h>

#include "plugapi.h"
#include "api.h"
#include "Imodskew.h"
#include "version.h"


PLUGINAPI cskewmodifier skew;


BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
	skew.hInst=(HINSTANCE)hModule;

    switch (ul_reason_for_call)
	{
		case DLL_PROCESS_ATTACH:
		case DLL_THREAD_ATTACH:
		case DLL_THREAD_DETACH:
		case DLL_PROCESS_DETACH:
			break;
    }
    return TRUE;
}


//These must exist.Make a *.def file.
//We can have multiple classes in one dll(i.e Import/Export)
PLUGINAPI ULONG LibType(int i)
{
	return (LIB_MODIFY);
}

PLUGINAPI int LibNumberClasses(){return 1;}

PLUGINAPI void *LibClassDesc(int i)
{
	return (void*)&skew;
}

PLUGINAPI ULONG LibVersion(int i)
{
	return (APP_VERSION); 
}
