// Lightray3D (C) 2002-2006 Tzivenis Sakis

#ifndef IIMPORT_H
#define IIMPORT_H

class COREAPI cimportinterface
{
public:
	virtual const char*	Name(){return "";}				// File description(i.e. "Image File")
	virtual const char*	Ext(int i){return "";}			// ith extension(i.e. "BMP")
	virtual int	NumExt(){return 0;}						// Number of extensions supported

	virtual int Import(const char *filename){return 0;}	//Return 1 for success, 0 for failure
};

COREAPI void RegisterInterface(cimportinterface*);
COREAPI void UnregisterImportInterfaces();
COREAPI int GetNumImportInterfaces();
COREAPI cimportinterface* GetImportInterface(int i);

#endif //IIMPORT_H
