// Lightray3D (C) 2002-2006 Tzivenis Sakis

#ifndef BOOLEAN_OP_H
#define BOOLEAN_OP_H

class cmesh;

// Mesh Boolean Operations
#define BOOLEAN_OP_NONE			0
#define BOOLEAN_OP_UNION		1
#define BOOLEAN_OP_INTERSECTION	2
#define BOOLEAN_OP_DIFFERENCE1	3
#define BOOLEAN_OP_DIFFERENCE2	4

//Return flags
#define BOOLEAN_RET_BAD_PARAM	-1
#define BOOLEAN_RET_ERROR		0
#define BOOLEAN_RET_OK			1

//Copy misc data from
#define BOOLEAN_A	0
#define BOOLEAN_B	1

COREAPI int Boolean_Op(int attime,int op,//frame num, one of above ops
					   const cmesh* m1,const cmesh* m2,
					   cmesh* res,float weldtolerance=0.0f,//weld threshold
					   int copyobjdata=BOOLEAN_A);//copy material,pos,rot,scale etc. from A or B mesh

#endif