//LightRay3D SDK (C) 2002-2006 Tzivenis Sakis

#ifndef IMODSKEW_H
#define IMODSKEW_H

#include "imodify.h"

#include "cmesh.h"
#include "cgizmo.h"

//---------------------------------------------------------------------------------------------
class PLUGINAPI cskewmodifier : public cmodifyinterface
{
	float len;
	cpoint3 bmin,bmax,bbcenter;
	void Calculate();
	void Deform(cmesh*);
	void DeformGizmo(cgizmo*);
public:
	cskewmodifier();

	//From cmodifyinterface
	void Init();
	char *GetName(){return "Skew(SDK)";}
	void Display(int attime,CGLWindow*,UINT);
	void Update();
	BOOL Execute();
	BOOL IsOkToModify(cnode*);
	BOOL DlgProc(HWND hDlg,UINT uMsg,WPARAM wParam,LPARAM lParam);
};


#endif //IMODSKEW_H
